## hyperion 2.0

=== Makefile ===
CC = gcc
SRC = Src\Crypter
BIN = .
OBJ = Obj
CFLAGS = -std=c99 -c -Wall -pedantic -O2 -m32

CONTAINER32 = Src\Container\32
CONTAINER64 = Src\Container\64
GENERATED_ASM = $(CONTAINER32)\decryption_payload.asm $(CONTAINER32)\image_base.inc\
	$(CONTAINER32)\image_size.ing $(CONTAINER32)\infile_array.inc $(CONTAINER32)\infile_size.inc\
	$(CONTAINER32)\key_size.inc $(CONTAINER32)\logfile_select.asm\
	$(CONTAINER64)\decryption_payload.asm $(CONTAINER64)\image_base.inc\
	$(CONTAINER64)\image_size.ing $(CONTAINER64)\infile_array.inc $(CONTAINER64)\infile_size.inc\
	$(CONTAINER64)\key_size.inc $(CONTAINER64)\logfile_select.asm

.PHONY:all
all: verbose.o fileaccess.o hyperion.o pe_general.o pe32.o pe64.o fasmoutput.o \
	encryption.o secure_string.o aes.o
	$(CC) -o $(BIN)\hyperion.exe $(OBJ)\hyperion.o $(OBJ)\verbose.o \
	$(OBJ)\fileaccess.o $(OBJ)\pe_general.o $(OBJ)\pe32.o $(OBJ)\pe64.o \
	$(OBJ)\fasmoutput.o $(OBJ)\encryption.o $(OBJ)\secure_string.o $(OBJ)\aes.o

hyperion.o: $(SRC)\hyperion.c
	$(CC) $(CFLAGS) -o $(OBJ)\hyperion.o $(SRC)\hyperion.c

verbose.o: $(SRC)\verbose.c
	$(CC) $(CFLAGS) -o $(OBJ)\verbose.o $(SRC)\verbose.c

secure_string.o: $(SRC)\secure_string.c
	$(CC) $(CFLAGS) -o $(OBJ)\secure_string.o $(SRC)\secure_string.c

fileaccess.o: $(SRC)\fileaccess.c
	$(CC) $(CFLAGS) -o $(OBJ)\fileaccess.o $(SRC)\fileaccess.c

pe_general.o: $(SRC)\pe_general.c
	$(CC) $(CFLAGS) -o $(OBJ)\pe_general.o $(SRC)\pe_general.c

pe32.o: $(SRC)\pe32.c
	$(CC) $(CFLAGS) -o $(OBJ)\pe32.o $(SRC)\pe32.c

pe64.o: $(SRC)\pe64.c
	$(CC) $(CFLAGS) -o $(OBJ)\pe64.o $(SRC)\pe64.c

fasmoutput.o: $(SRC)\fasmoutput.c
	$(CC) $(CFLAGS) -Wno-format -o $(OBJ)\fasmoutput.o $(SRC)\fasmoutput.c

encryption.o: $(SRC)\encryption.c
	$(CC) $(CFLAGS) -o $(OBJ)\encryption.o $(SRC)\encryption.c

aes.o: $(SRC)\aes.c
	$(CC) $(CFLAGS) -o $(OBJ)\aes.o $(SRC)\aes.c

.PHONY:clean
clean:
	del $(BIN)\hyperion.exe $(OBJ)\*.o $(GENERATED_ASM) >nul 2>&1

=== debian/changelog ===
hyperion (2.0-0kali4) kali-dev; urgency=medium

  * Update debian/watch file 

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 30 Aug 2023 09:33:02 +0100

hyperion (2.0-0kali3) kali-dev; urgency=medium

  * Fix path in autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Jun 2019 13:39:01 +0200

hyperion (2.0-0kali2) kali-dev; urgency=medium

  * Improve autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Jun 2019 09:13:53 +0200

hyperion (2.0-0kali1) kali-dev; urgency=medium

  * Add debian/gbp.conf
  * New upstream version 2.0
  * Use debhelper-compat 12
  * Update debian/copyright
  * Update installation for new release
  * Refresh patches
  * Bump Standards-Version to 4.3.0
  * Upgrade autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Jun 2019 15:36:25 +0200

hyperion (1.2-0kali4) kali-dev; urgency=medium

  * Switch install location

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 10 Jun 2019 21:18:18 +0100

hyperion (1.2-0kali3) kali-dev; urgency=medium

  * Add patches to build statically
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Jun 2017 11:09:45 +0200

hyperion (1.2-0kali2) kali-dev; urgency=medium

  * Fix version and add documentation

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 May 2017 09:34:43 +0200

hyperion (1.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 May 2017 15:38:48 +0200

=== debian/control ===
Source: hyperion
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Ben Wilson <g0tmi1k@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 12), gcc-mingw-w64-i686
Standards-Version: 4.6.2
Homepage: http://www.nullsecurity.net/tools/binary.html
Vcs-Git: https://gitlab.com/kalilinux/packages/hyperion.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hyperion

Package: hyperion
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime encrypter for 32-bit portable executables
 This package contains a runtime encrypter for 32-bit portable executables. It
 is a reference implementation and bases on the paper "Hyperion: Implementation
 of a PE-Crypter". The paper describes the implementation details which
 aren't in the scope of this readme file.
 The crypter is started via the command line and encrypts an input executable
 with AES-128. The encrypted file decrypts itself on startup (bruteforcing the
 AES key which may take a few seconds) and generates a log file for debug
 purpose.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@
# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
## No upstream tag ~ https://github.com/nullsecuritynet/tools/tags
## Homepage ~ https://nullsecurity.net/tools/binary.html
version=4
opts="filenamemangle=s%(?:.*?)Hyperion-(\d[\d.]*)\.zip%hyperion-$1.zip%" \
   https://nullsecurity.net/tools/binary.html \
   (?:.*?/)Hyperion-(\d[\d.]*)\.zip
